Subject: [bug#29891] [PATCH] gnu: java-classpathx-servletapi: Update to 3.0-r1244.

From: Gábor Boskovits <[email-masked]>
Date: Sun, 14 Jan 2018 16:28:51 +0100

I will send an updated patch soon. Upstream released this fix as 3.0.1, so
it will be just update to 3.0.1.
I would add something like remove obsolate comment, and that will be all.
I'm a bit slow here, I had to run guix gc, so I have a lot to rebuild.
I will send an updated patch asap.

2018-01-14 16:04 GMT+01:00 Tobias Geerinckx-Rice <[email-masked]>:

> Gábor,
>
> Gábor Boskovits wrote on 09/01/18 at 11:56:
> > Reworded commit message.
>
> Sorry to be a drive-by nit-picker, but this commit message is still much
> longer than needed:
>
> > 2018-01-09 11:55 GMT+01:00 Gábor Boskovits <[email-masked]
> > <mailto:[email-masked]>>:
> >
> >     * gnu/packages/java.scm (java-classpathx-servletapi): Update to
> >     3.0-r1244.
> >     [source]: Change to svn-fetch from upstream. (This version is only
> >     available from there)
>
> That parenthesis should be far more useful to future generations as a
> comment in the code.
>
> >     [arguments]: Switch to a java8 compiler, remove comment about not
> >     working with java8,
>
> The first half implies the second: I'd not mention the comment.
>
> >     add phase chdir to compensate for the different layout of the
> >     upstream repository.
>
> Also very verbose (just “Add ‘chdir’ phase.”?) but OK :-)
>
> Kind regards,
>
> T G-R
>